<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JPSOAP_DateIntervalsGroupsStayDates StructType
 * @subpackage Structs
 */
class JPSOAP_DateIntervalsGroupsStayDates extends JPSOAP_DateIntervalsGroups
{
    /**
     * The WeekDays
     * @var string
     */
    public $WeekDays;
    /**
     * Constructor method for JPSOAP_DateIntervalsGroupsStayDates
     * @uses JPSOAP_DateIntervalsGroupsStayDates::setWeekDays()
     * @param string $weekDays
     */
    public function __construct($weekDays = null)
    {
        $this
            ->setWeekDays($weekDays);
    }
    /**
     * Get WeekDays value
     * @return string|null
     */
    public function getWeekDays()
    {
        return $this->WeekDays;
    }
    /**
     * Set WeekDays value
     * @param string $weekDays
     * @return \StructType\JPSOAP_DateIntervalsGroupsStayDates
     */
    public function setWeekDays($weekDays = null)
    {
        // validation for constraint: string
        if (!is_null($weekDays) && !is_string($weekDays)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($weekDays)), __LINE__);
        }
        $this->WeekDays = $weekDays;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JPSOAP_DateIntervalsGroupsStayDates
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
